﻿using BlacksmithWorkshopContracts.BindingModels;
using BlacksmithWorkshopContracts.SearchModels;
using BlacksmithWorkshopContracts.ViewModels;
using BlacksmithWorkshopDataModels.Models;

namespace BlacksmithWorkshopContracts.BusinessLogicsContracts
{
	public interface IStoreLogic
	{
		List<StoreViewModel>? ReadList(StoreSearchModel? model);
		StoreViewModel? ReadElement(StoreSearchModel model);
		bool Create(StoreBindingModel model);
		bool Update(StoreBindingModel model);
		bool Delete(StoreBindingModel model);
		/// <summary>
		/// Добавление изделия в магазин
		/// </summary>
		/// <param name="manufacture">Изделие</param>
		/// <param name="model">Модель для поиска нужного магазина</param>
		/// <param name="count">Количество изделий</param>
		/// <returns></returns>
		bool AddManufacture(IManufactureModel manufacture, StoreSearchModel model, int count);
	}
}