﻿using BlacksmithWorkshopDataModels.Models;
using System.ComponentModel;

namespace BlacksmithWorkshopContracts.ViewModels
{
	public class StoreViewModel : IStoreModel
	{
		[DisplayName("Номер магазина")]
		public int Id { get; set; }
		[DisplayName("Название магазина")]
		public string StoreName { get; set; } = string.Empty;
		[DisplayName("Адрес магазина")]
		public string Address { get; set; } = string.Empty;
		[DisplayName("Дата открытия")]
		public DateTime OpeningDate { get; set; } = DateTime.Now;
		/// <summary>
		/// Изделия в магазине
		/// </summary>
		public List<(IManufactureModel, int)> Manufactures { get; set; } = new();
	}
}
